## pkg-cacher-0.9.7.tar.gz

=== Makefile ===
NAME=pkg-cacher
VERSION=0.9.7
TAROPTS=--directory .. --exclude=.svn --exclude='*.swp' --exclude='*~' --dereference 

PROGRAM_FILES=pkg-cacher pkg-cacher.pl pkg-cacher-request.pl pkg-cacher-fetch.pl \
			pkg-cacher-lib.pl \
			pkg-cacher-cleanup.pl \
			pkg-cacher-report.pl
DATA_FILES=index_files.regexp static_files.regexp

SRPMDIR:=$(shell rpm --eval '%{_srcrpmdir}')
RPMDIR:=$(shell rpm --eval '%{_rpmdir}')

DESTDIR:=$(shell pwd)/../dist

$(DESTDIR):
	test -d $@ || mkdir $@

$(DESTDIR)/debian: $(DESTDIR)
	test -d $@ || mkdir $@

$(DESTDIR)/$(NAME): $(DESTDIR)
	test -d $@ || mkdir $@

tar: $(DESTDIR)/$(NAME)
	( \
	sed -e "s/@@VERSION@@/$(VERSION)/" < fedora/$(NAME).spec.in > fedora/$(NAME).spec; \
	ln -sf `pwd` ../$(NAME)-$(VERSION); \
	tar -cjf $(DESTDIR)/$(NAME)/$(NAME)-$(VERSION).tar.bz2 $(TAROPTS) $(NAME)-$(VERSION); \
	tar -czf $(DESTDIR)/$(NAME)/$(NAME)-$(VERSION).tar.gz  $(TAROPTS) $(NAME)-$(VERSION); \
	rm -f ../$(NAME)-$(VERSION); \
	)

rpms: tar
	rpmbuild --define "dist %{nil}" -ta $(DESTDIR)/$(NAME)/$(NAME)-$(VERSION).tar.bz2
	mv $(SRPMDIR)/$(NAME)-*$(VERSION)*.src.rpm $(DESTDIR)/$(NAME)
	mv $(RPMDIR)/noarch/$(NAME)-*$(VERSION)*.noarch.rpm $(DESTDIR)/$(NAME)

debs: $(DESTDIR)/debian
	fakeroot dpkg-buildpackage -I.svn -us -uc
	mv ../$(NAME)*_$(VERSION)* $(DESTDIR)/debian

clean:
	test -n "$(DESTDIR)" && rm -rf $(DESTDIR)/$(NAME)

# These install-* rules mimic the corresponding dh_* utilities provided by Debian debhelper.
install-dirs:
	install -m 755 -d $(DESTDIR)/usr/sbin
	install -m 755 -d $(DESTDIR)/usr/share/pkg-cacher
	install -m 755 -d $(DESTDIR)/var/cache/pkg-cacher
	install -m 755 -d $(DESTDIR)/var/log/pkg-cacher

install-config:
	install -m 755 -d $(DESTDIR)/etc/pkg-cacher
	install -m 644 pkg-cacher.conf $(DESTDIR)/etc/pkg-cacher/pkg-cacher.conf
	install -m 644 apache.conf $(DESTDIR)/etc/pkg-cacher/apache.conf

install-cron:
	install -m 755 -d $(DESTDIR)/etc/cron.daily
	install -m 644 pkg-cacher.cron.daily $(DESTDIR)/etc/cron.daily/pkg-cacher

install-init:
	install -m 755 -d $(DESTDIR)/etc/init.d
	install -m 755 -d $(DESTDIR)/etc/sysconfig
	install -m 755 fedora/pkg-cacher.init $(DESTDIR)/etc/init.d/pkg-cacher
	install -m 644 fedora/pkg-cacher.sysconfig $(DESTDIR)/etc/sysconfig/pkg-cacher

install-docs:
	install -m 755 -d $(DESTDIR)/usr/share/doc/pkg-cacher
	install -m 644 README TODO $(DESTDIR)/usr/share/doc/pkg-cacher

install-logrotate:
	install -m 755 -d $(DESTDIR)/etc/logrotate.d
	install -m 644 pkg-cacher.logrotate $(DESTDIR)/etc/logrotate.d/pkg-cacher

install-man:
	install -m 755 -d $(DESTDIR)/usr/share/man/man1
	install -m 644 debian/pkg-cacher.1 $(DESTDIR)/usr/share/man/man1/pkg-cacher.1

install-link:
	ln -sf ../share/pkg-cacher/pkg-cacher $(DESTDIR)/usr/sbin/pkg-cacher 

install-files:
	install -m 755 $(PROGRAM_FILES) $(DESTDIR)/usr/share/pkg-cacher
	install -m 644 $(DATA_FILES) $(DESTDIR)/usr/share/pkg-cacher

install-clean:
	test -n "$(DESTDIR)" && rm -rf $(DESTDIR)
	rm -f fedora/$(NAME).spec

.PHONY: all tar rpms debs $(DESTDIR) $(DESTDIR)/$(NAME) \
	install-dirs install-config install-cron install-init install-logrotate \
	install-man install-link install-files install-clean

=== debian/changelog ===
pkg-cacher (0.9.7) unstable; urgency=low

  * Change default port to 80.

  * Update man page.

 -- Robert Nelson <robertn@the-nelsons.org>  Mon, 01 Dec 2008 22:27:37 -0800

pkg-cacher (0.9.6) unstable; urgency=low

  * Add support for RedHat .img files as static files.

  * Since we handle the Range header but not the If-Range header we need 
    to ignore the former if the latter is specified.

  * Remove import and precache scripts since they aren't applicable to the 
    new cache structure.

  * Remove proxy support for arbitrary host.

  * Remove allowed_location configuration since path_map controls remote
    server access.

  * fix cgi-mode handling.

  * Add separate packages for standalone vs cgi installs.

  * Allow override of configuration values in cgi-mode.

  * Cleanup documentation.

 -- Robert Nelson <robertn@the-nelsons.org>  Wed, 12 Nov 2008 20:10:53 -0800

pkg-cacher (0.9.5) unstable; urgency=low

  * Set correct owner, perms on /var/cache/pkg-cacher

 -- Robert Nelson <robertn@the-nelsons.org>  Wed, 17 Sep 2008 19:55:13 -0700

pkg-cacher (0.9.4) unstable; urgency=low

  * Split into 3 files to ease maintenance prior to changing to multithreaded.
  * Disable curl debugging, it isn't supported in the Etch version of the
    libwww-curl-perl.
  * Fix path for reading patterns.

 -- Robert Nelson <robertn@the-nelsons.org>  Sun, 14 Sep 2008 18:43:23 -0700

pkg-cacher (0.9.3) unstable; urgency=low

  * Added support for HTTP Redirect.
  * Made file patterns easily configurable.
  * Added OpenSUSE patterns.

 -- Robert Nelson <robertn@the-nelsons.org>  Fri, 12 Sep 2008 11:31:18 -0700

pkg-cacher (0.9.2) unstable; urgency=low

  * Updated path_map to add repo.opensource-sw.net
  * Add support for Range header

 -- Robert Nelson <robertn@the-nelsons.org>  Mon, 09 Sep 2008 16:12:44 -0700

pkg-cacher (0.9.1) unstable; urgency=low

  * Updated Debian packaging.

 -- Robert Nelson <robertn@the-nelsons.org>  Sat, 06 Sep 2008 17:21:41 -0700

pkg-cacher (0.9.0) unstable; urgency=low

  * Renamed to pkg-cacher.
  * Modified to support RedHat.

 -- Robert Nelson <robertn@the-nelsons.org>  Sat, 06 Sep 2008 15:23:23 -0700

=== debian/control ===
Source: pkg-cacher
Section: net
Priority: optional
Maintainer: Robert Nelson <robertn@the-nelsons.org>
Build-Depends: debhelper (>> 4.0.0)
Build-Depends-Indep: perl (>=5.6.0-16)
Standards-Version: 3.7.3

Package: pkg-cacher
Architecture: all
#Depends: ${perl:Depends}, bzip2, libwww-curl-perl (>=3.12), libwww-perl, libdigest-sha1-perl, ed
Depends: ${perl:Depends}, bzip2, libwww-curl-perl, libwww-perl, libdigest-sha1-perl, ed
Suggests: libio-socket-inet6-perl
Description: Caching proxy for Debian, Ubuntu, RedHat, Fedora, and CentOS repositories.
 Pkg-cacher performs caching of packages and metadata which have been downloaded by 
 local users. It is most useful for local area networks with slow internet uplink or 
 many machines running the same distribution and version.
 .
 When a package is requested, the cache checks whether it already has the
 requested version, in which case it sends the package to the user immediately.
 If not, it downloads the package while streaming it to the user at the same
 time. A local copy is then kept for use by other users.
 .
 Pkg-cacher has been optimized for best utilization of network bandwidth and
 efficiency even on slow low-memory servers. Multiple ways of installation are
 possible: as a stand-alone HTTP proxy, as a daemon executed by inetd or as a
 CGI program. Client machines are configured by changing APT's proxy
 configuration or modification of access URLs in sources.list.
 .
 The package includes utilities to clean the cache (removing obsolete package
 files), generate usage reports.  Experimental features include optional IPv6 
 support.
 .
 Pkg-cacher can be used as a replacement for apt-cacher or apt-proxy, with no 
 need to modify client's /etc/pkg/sources.list files or as an alternative to 
 approx.

Package: pkg-cacher-sa
Architecture: all
Depends: pkg-cacher (= ${binary:Version})
Conflicts: pkg-cacher-cgi
Description: Caching proxy for Debian, Ubuntu, RedHat, Fedora, and CentOS repositories.
 This package installs and configures pkg-cacher as a standalone server.
 .
 Install pkg-cacher-cgi instead if a cgi script under Apache is desired.

Package: pkg-cacher-cgi
Architecture: all
Depends: pkg-cacher (= ${binary:Version}), apache2
Conflicts: pkg-cacher-sa
Description: Caching proxy for Debian, Ubuntu, RedHat, Fedora, and CentOS repositories.
 This package installs and configures pkg-cacher as a cgi script under Apache.
 .
 Install pkg-cacher-sa instead if a standalone server is desired.
